
package org.tempuri;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "WS", targetNamespace = "http://tempuri.org/", wsdlLocation = "http://localhost:45476/WS.asmx?WSDL")
public class WS
    extends Service
{

    private final static URL WS_WSDL_LOCATION;
    private final static WebServiceException WS_EXCEPTION;
    private final static QName WS_QNAME = new QName("http://tempuri.org/", "WS");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://localhost:45476/WS.asmx?WSDL");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        WS_WSDL_LOCATION = url;
        WS_EXCEPTION = e;
    }

    public WS() {
        super(__getWsdlLocation(), WS_QNAME);
    }

    public WS(WebServiceFeature... features) {
        super(__getWsdlLocation(), WS_QNAME, features);
    }

    public WS(URL wsdlLocation) {
        super(wsdlLocation, WS_QNAME);
    }

    public WS(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, WS_QNAME, features);
    }

    public WS(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public WS(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns WSSoap
     */
    @WebEndpoint(name = "WSSoap")
    public WSSoap getWSSoap() {
        return super.getPort(new QName("http://tempuri.org/", "WSSoap"), WSSoap.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns WSSoap
     */
    @WebEndpoint(name = "WSSoap")
    public WSSoap getWSSoap(WebServiceFeature... features) {
        return super.getPort(new QName("http://tempuri.org/", "WSSoap"), WSSoap.class, features);
    }

    private static URL __getWsdlLocation() {
        if (WS_EXCEPTION!= null) {
            throw WS_EXCEPTION;
        }
        return WS_WSDL_LOCATION;
    }

}
